| Home · All Classes · All Namespaces · Modules · Functions · Files

Signals | Public Member Functions | Static Public Member Functions | Static Public Attributes | Protected Member Functions | List of all members
Tp::DebugReceiver Class Reference
Client-side proxies

The DebugReceiver class provides a D-Bus proxy for a Telepathy Debug object. More...

`#include <TelepathyQt/DebugReceiver>`

Inheritance diagram for Tp::DebugReceiver:
[legend]

## Signals

void | newDebugMessage (const Tp::DebugMessage &message)
Signals inherited from Tp::DBusProxy
void | invalidated (Tp::DBusProxy *proxy, const QString &errorName, const QString &errorMessage)
Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)

## Public Member Functions

virtual | ~DebugReceiver ()
PendingDebugMessageList * | fetchMessages ()
PendingOperation * | setMonitoringEnabled (bool enabled)
Public Member Functions inherited from Tp::StatefulDBusProxy
| StatefulDBusProxy (const QDBusConnection &dbusConnection, const QString &busName, const QString &objectPath, const Feature &featureCore)
virtual | ~StatefulDBusProxy ()
Public Member Functions inherited from Tp::DBusProxy
| DBusProxy (const QDBusConnection &dbusConnection, const QString &busName, const QString &objectPath, const Feature &featureCore)
virtual | ~DBusProxy ()
QDBusConnection | dbusConnection () const
QString | busName () const
QString | objectPath () const
bool | isValid () const
QString | invalidationReason () const
QString | invalidationMessage () const
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()
Public Member Functions inherited from Tp::ReadyObject
| ReadyObject (RefCounted *object, const Feature &featureCore)
| ReadyObject (DBusProxy *proxy, const Feature &featureCore)
virtual | ~ReadyObject ()
virtual bool | isReady (const Features &features=Features()) const
virtual PendingReady * | becomeReady (const Features &requestedFeatures=Features())
virtual Features | requestedFeatures () const
virtual Features | actualFeatures () const
virtual Features | missingFeatures () const

## Static Public Member Functions

static DebugReceiverPtr | create (const QString &busName, const QDBusConnection &bus=QDBusConnection::sessionBus())
Static Public Member Functions inherited from Tp::StatefulDBusProxy
static QString | uniqueNameFrom (const QDBusConnection &bus, const QString &wellKnownOrUnique)
static QString | uniqueNameFrom (const QDBusConnection &bus, const QString &wellKnownOrUnique, QString &error, QString &message)
Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)

## Static Public Attributes

static const Feature | FeatureCore

## Protected Member Functions

| DebugReceiver (const QDBusConnection &bus, const QString &busName)
Protected Member Functions inherited from Tp::DBusProxy
void | setBusName (const QString &busName)
void | invalidate (const QString &reason, const QString &message)
void | invalidate (const QDBusError &error)
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)
Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)
Protected Member Functions inherited from Tp::ReadyObject
ReadinessHelper * | readinessHelper () const

## Additional Inherited Members

Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Detailed Description

The DebugReceiver class provides a D-Bus proxy for a Telepathy Debug object.

A Debug object provides debugging messages from services.

## Constructor & Destructor Documentation

## § ~DebugReceiver()

Tp::DebugReceiver::~DebugReceiver | ( |  | ) |

virtual

## § DebugReceiver()

Tp::DebugReceiver::DebugReceiver | ( | const QDBusConnection & | bus,
|  | const QString & | busName
| ) |  |

protected

## Member Function Documentation

## § create()

DebugReceiverPtr Tp::DebugReceiver::create | ( | const QString & | busName,
|  | const QDBusConnection & | bus = `QDBusConnection::sessionBus()`
| ) |  |

static

## § fetchMessages()

PendingDebugMessageList * Tp::DebugReceiver::fetchMessages | ( |  | ) |

Retrieves buffered debug messages.

This method returns a list of buffered debug messages. Depending on the service side implementation, this may not be the entire list of all messages received during the service's lifetime. Use monitoring instead for getting all the messages being streamed in realtime.

Returns
  A pending operation returning a list of buffered debug messages when finished.

See also
  setMonitoringEnabled

## § setMonitoringEnabled()

PendingOperation * Tp::DebugReceiver::setMonitoringEnabled | ( | bool | enabled | ) |

Enables or disables the emission of newDebugMessage.

This function either enables or disables the emission of newDebugMessage. If monitoring is enabled, everytime a message will be received, newDebugMessage will be emitted carrying the new message.

Monitoring should be disabled when not needed, as it generates a high amount of traffic on the bus. It is always disabled by default.

This method requires FeatureCore to be enabled.

Parameters

  enabled | Whether to enable or disable monitoring.

Returns
  A pending operation returning whether the operation succeeded or not.

See also
  newDebugMessage

## § newDebugMessage

void Tp::DebugReceiver::newDebugMessage | ( | const Tp::DebugMessage & | msg | ) |

signal

Emitted whenever a new debug message is available. This will be emitted only if monitoring has been previously enabled.

Parameters

  msg | The new debug message.

See also
  setMonitoringEnabled

## Member Data Documentation

## § FeatureCore

const Feature Tp::DebugReceiver::FeatureCore

static

Feature representing the core that needs to become ready to make the DebugReceiver object usable.

Note that this feature must be enabled in order to use most DebugReceiver methods. See specific methods documentation for more details.

When calling isReady(), becomeReady(), this feature is implicitly added to the requested features.